package com.zd.exam.service;

import java.util.List;

import com.zd.exam.domain.ElPractiseQu;

/**
 * 练习题Service接口
 *
 * @author liubo
 * @date 2021-12-14
 */
public interface IElPractiseQuService {
    /**
     * 查询练习题
     *
     * @param id 练习题主键
     * @return 练习题
     */
    public ElPractiseQu selectElPractiseQuById(Long id);

    /**
     * 查询练习题列表
     *
     * @param elPractiseQu 练习题
     * @return 练习题集合
     */
    public List<ElPractiseQu> selectElPractiseQuList(ElPractiseQu elPractiseQu);

    /**
     * 新增练习题
     *
     * @param elPractiseQu 练习题
     * @return 结果
     */
    public int insertElPractiseQu(ElPractiseQu elPractiseQu);

    /**
     * 修改练习题
     *
     * @param elPractiseQu 练习题
     * @return 结果
     */
    public int updateElPractiseQu(ElPractiseQu elPractiseQu);

    /**
     * 批量删除练习题
     *
     * @param ids 需要删除的练习题主键集合
     * @return 结果
     */
    public int deleteElPractiseQuByIds(Long[] ids);

    /**
     * 删除练习题信息
     *
     * @param id 练习题主键
     * @return 结果
     */
    public int deleteElPractiseQuById(Long id);

    ElPractiseQu selectElPractiseQuDetail(ElPractiseQu practiseQu);
}
